ru.bitel.bgbilling.kernel.contract.balance.common.bean

## Class AbstractBalanceBean

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.kernel.contract.balance.common.bean.AbstractBalanceBean

- All Implemented Interfaces:
    java.io.Serializable, Idable
  Direct Known Subclasses:
    Charge, Payment

      public abstract class AbstractBalanceBean
      extends Id

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractBalanceBean()`
    `AbstractBalanceBean(int id, int userId, int contractId, int typeId, java.util.Date date, java.lang.String comment, java.math.BigDecimal sum, java.util.Date timeChange)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComment()` Возвращает примечание.
    `int` | `getContractId()` Возвращает код договора.
    `java.util.Date` | `getDate()` Возвращает дату расхода/прихода.
    `java.math.BigDecimal` | `getSum()` Возвращает сумму.
    `java.math.BigDecimal` | `getSumma()` Deprecated.
    `java.util.Date` | `getTimeChange()` Возвращает время последней модификации.
    `int` | `getTypeId()` Возвращает код типа.
    `int` | `getUserId()` Возвращает код пользователя биллинга.
    `void` | `setComment(java.lang.String comment)` Устанавливает примечание.
    `void` | `setContractId(int value)` Устанавливает код договора.
    `void` | `setDate(java.util.Date date)` Устанавливает дату расхода/прихода.
    `void` | `setSum(java.math.BigDecimal sum)` Устанавливает сумму.
    `void` | `setSumma(java.math.BigDecimal sum)` Deprecated.
    `void` | `setTimeChange(java.util.Date timeChange)` Устанавливает время последней модификации.
    `void` | `setTypeId(int value)` Устанавливает код типа.
    `void` | `setUserId(int value)` Устанавливает код пользователя биллинга.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractBalanceBean

          public AbstractBalanceBean()

    - #### AbstractBalanceBean

          public AbstractBalanceBean(int id,
                                     int userId,
                                     int contractId,
                                     int typeId,
                                     java.util.Date date,
                                     java.lang.String comment,
                                     java.math.BigDecimal sum,
                                     java.util.Date timeChange)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `Id`

    - #### getContractId

          public int getContractId()

      Возвращает код договора.
      Returns:

    - #### setContractId

          public void setContractId(int value)

      Устанавливает код договора.
      Parameters:
        `value` -

    - #### getTypeId

          public int getTypeId()

      Возвращает код типа.
      Returns:

    - #### setTypeId

          public void setTypeId(int value)

      Устанавливает код типа.
      Parameters:
        `value` -

    - #### getDate

          public java.util.Date getDate()

      Возвращает дату расхода/прихода.
      Returns:

    - #### setDate

          public void setDate(java.util.Date date)

      Устанавливает дату расхода/прихода.
      Parameters:
        `date` -

    - #### getSum

          public java.math.BigDecimal getSum()

      Возвращает сумму.
      Returns:

    - #### getSumma

          @Deprecated
          public java.math.BigDecimal getSumma()

      Deprecated.
      Возвращает сумму. Использовать getSum()
      Returns:

    - #### setSum

          public void setSum(java.math.BigDecimal sum)

      Устанавливает сумму.
      Parameters:
        `summa` -

    - #### getComment

          public java.lang.String getComment()

      Возвращает примечание.
      Returns:

    - #### setComment

          public void setComment(java.lang.String comment)

      Устанавливает примечание.
      Parameters:
        `comment` -

    - #### getUserId

          public int getUserId()

      Возвращает код пользователя биллинга.
      Returns:

    - #### setUserId

          public void setUserId(int value)

      Устанавливает код пользователя биллинга.
      Parameters:
        `value` -

    - #### getTimeChange

          public java.util.Date getTimeChange()

      Возвращает время последней модификации.
      Returns:

    - #### setTimeChange

          public void setTimeChange(java.util.Date timeChange)

      Устанавливает время последней модификации.

    - #### setSumma

          @Deprecated
          public void setSumma(java.math.BigDecimal sum)

      Deprecated.
      Устанавливает сумму. Устарел, использовать `setSum(BigDecimal)`